<?xml version="1.0" encoding="UTF-8"?>
<!-- ================================================================================ -->
<!-- ==== Business Data Type XML Schema Module ==== -->
<!-- ================================================================================ -->
<!-- Schema agency: ebIX Schema version: 2014.A Schema date: January 25, 
	2017 Copyright (C) ebIX (2010). All Rights Reserved. This document is created 
	by using the ebIX Transformation Tool version of November 2016. This document 
	and translations of it may be copied and furnished to others, and derivative 
	works that comment on or otherwise explain it or assist in its implementation 
	may be prepared, copied, published and distributed, in whole or in part, 
	without restriction of any kind, provided that the above copyright notice 
	and this paragraph are included on all such copies and derivative works. 
	However, this document itself may not be modified in any way, such as by 
	removing the copyright notice or references to ebIX, except as needed for 
	the purpose of developing ebIX specifications, in which case the procedures 
	for copyrights defined in the UN/CEFACT Intellectual Property Rights document 
	must be followed, or as required to translate it into languages other than 
	English. The limited permissions granted above are perpetual and will not 
	be revoked by ebIX or its successors or assigns. This document and the information 
	contained herein is provided on an "AS IS" basis and ebIX DISCLAIMS ALL WARRANTIES, 
	EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE 
	OF THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES 
	OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:mdt="un:unece:260:data:EEM-RequestEndOFSupply"
	xmlns:ccts="urn:un:unece:uncefact:documentation:common:3:standard:CoreComponentsTechnicalSpecification:3"
	xmlns:xbt="urn:un:unece:uncefact:data:common:1:draft"
	xmlns:bcl="un:unece:260:data:EEM"
	targetNamespace="un:unece:260:data:EEM-RequestEndOFSupply"
	elementFormDefault="qualified" attributeFormDefault="unqualified"
	version="2014.A">
	<!-- ================================================================================ -->
	<!-- ==== Imports ==== -->
	<!-- ================================================================================ -->
	<!-- ================================================================================ -->
	<!-- ==== Import of Code Lists ==== -->
	<!-- ================================================================================ -->
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_000019_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_000023_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_000029_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_000041_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_000052_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_000080_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_000095_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_000096_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_BA0001_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_BA0002_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_BA0003_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_BA0004_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_BA0005_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_BA0009_0p1pA.xsd" />
	<xsd:import namespace="un:unece:260:data:EEM"
		schemaLocation="../../generic/260_BA0013_0p1pA.xsd" />
	<!-- ================================================================================ -->
	<!-- ==== Inclusions ==== -->
	<!-- ================================================================================ -->
	<!-- ================================================================================ -->
	<!-- ==== Inclusion of Code Lists ==== -->
	<!-- ================================================================================ -->
	<!-- ================================================================================ -->
	<!-- ==== Business Data Type Definitions ==== -->
	<!-- ================================================================================ -->
	<!-- ================================================================================ -->
	<!-- ==== BusinessReasonCodeType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="BusinessReasonCodeType_000115">
		<xsd:simpleContent>
			<xsd:extension
				base="bcl:AssembledBusinessReasonCodeContentType">
				<xsd:attribute name="listAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="260" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ================================================================================ -->
	<!-- ==== BusinessRoleCodeType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:simpleType name="BusinessRoleCodeType_000113">
		<xsd:restriction
			base="bcl:AssembledBusinessRoleCodeContentType" />
	</xsd:simpleType>
	<!-- ============================================================== -->
	<!-- ==== DocumentNameCodeType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:simpleType name="DocumentNameCodeType_000098">
		<xsd:restriction
			base="bcl:AssembledDocumentNameCodeContentType" />
	</xsd:simpleType>
	<!-- ================================================================================ -->
	<!-- ==== SectorAreaIdentificationCodeType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:simpleType
		name="SectorAreaIdentificationCodeType_000116">
		<xsd:restriction
			base="bcl:AssembledSectorAreaIdentificationCodeContentType" />
	</xsd:simpleType>
	<!-- ================================================================================ -->
	<!-- ==== DomainIdentifierType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="DomainIdentifierType_000122">
		<xsd:simpleContent>
			<xsd:extension base="xsd:string">
				<xsd:attribute name="schemeAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="305" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ================================================================================ -->
	<!-- ==== PartyIdentifierType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="PartyIdentifierType_000112">
		<xsd:simpleContent>
			<xsd:extension
				base="bcl:MarketParticipantsCodeContentType">
				<xsd:attribute name="schemeAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="9" />
							<xsd:enumeration value="305" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ============================================================================== -->
	<!-- ==== IdentificationType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="IdentificationTypeCode_000129">
		<xsd:simpleContent>
			<xsd:extension
				base="bcl:IdentificationTypeCodeContentType">
				<xsd:attribute name="schemeAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="260" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ================================================================================ -->
	<!-- ==== TextType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:simpleType name="TextType_000114">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="256" />
		</xsd:restriction>
	</xsd:simpleType>
	<!-- ================================================================================ -->
	<!-- ==== BooleanType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:simpleType name="Boolean_000114">
		<xsd:restriction base="xsd:boolean" />
	</xsd:simpleType>
	<!-- ================================================================================ -->
	<!-- ==== DateTimeType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:simpleType name="DateTimeType_000111">
		<xsd:restriction base="xsd:dateTime">
			<xsd:pattern
				value="[0-9]{4}-[0-1][0-9]-[0-3][0-9]T[0-2][0-9]:[0-5][0-9]:[0-5][0-9]" />
		</xsd:restriction>
	</xsd:simpleType>
	<!-- ================================================================================ -->
	<!-- ==== IntegerQuantityType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:simpleType name="IntegerQuantityType_000119">
		<xsd:restriction base="xsd:integer" />
	</xsd:simpleType>
	<!-- ================================================================================ -->
	<!-- ==== MeasureType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="MeasureType_000358">
		<xsd:simpleContent>
			<xsd:extension base="xsd:decimal">
				<xsd:attribute name="unitCode" type="xsd:string"
					use="optional" />
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ================================================================================ -->
	<!-- ==== MeasurementUnitCommonCodeType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType
		name="MeasurementUnitCommonCodeType_000121">
		<xsd:simpleContent>
			<xsd:extension
				base="bcl:AssembledMeasurementUnitCommonCodeContentType">
				<xsd:attribute name="listAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="260" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ================================================================================ -->
	<!-- ==== APCategoryCodeType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="APCategoryType_000123">
		<xsd:simpleContent>
			<xsd:extension base="bcl:APCategoryTypeContentType">
				<xsd:attribute name="listAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="260" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ================================================================================ -->
	<!-- ==== TariffGroupCodeType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="TariffGroupType_000123">
		<xsd:simpleContent>
			<xsd:extension
				base="bcl:AssembledTariffGroupCodeContentType">
				<xsd:attribute name="listAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="260" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ============================================================================== -->
	<!-- ==== CommunicationChannel Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="CommunicationChannel_000129">
		<xsd:simpleContent>
			<xsd:extension
				base="bcl:CommunicationChannelCodeContentType">
				<xsd:attribute name="schemeAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="260" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ============================================================================== -->
	<!-- ==== AddressType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="AddressTypeCode_000129">
		<xsd:simpleContent>
			<xsd:extension base="bcl:AddressTypeCodeContentType">
				<xsd:attribute name="schemeAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="260" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ============================================================================== -->
	<!-- ==== ContactFunctionType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="ContactFunctionTypeCode_000129">
		<xsd:simpleContent>
			<xsd:extension
				base="bcl:ContactFunctionCodeContentType">
				<xsd:attribute name="schemeAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="260" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ================================================================================ -->
	<!-- ==== VoltageLevelCodeType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:complexType name="VoltageLevelCodeType_000150">
		<xsd:simpleContent>
			<xsd:extension
				base="bcl:AssembledVoltageLevelCodeContentType">
				<xsd:attribute name="listAgencyIdentifier"
					use="required">
					<xsd:simpleType>
						<xsd:restriction
							base="bcl:AssembledCodeListResponsibleAgencyCodeContentType">
							<xsd:enumeration value="260" />
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:attribute>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>
	<!-- ================================================================================ -->
	<!-- ==== TransactionIdentifierType Type ==== -->
	<!-- ================================================================================ -->
	<xsd:simpleType name="TransactionIdentifierType_000361">
		<xsd:restriction base="xsd:string" />
	</xsd:simpleType>
</xsd:schema>  
